Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config
Class FreemarkerXmlPlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.config.FreemarkerXmlPlannerBenchmarkFactory

All Implemented Interfaces:
  PlannerBenchmarkFactory

    public class FreemarkerXmlPlannerBenchmarkFactory

extends Object
implements PlannerBenchmarkFactory

Constructor Summary
`FreemarkerXmlPlannerBenchmarkFactory()`
`FreemarkerXmlPlannerBenchmarkFactory(String templateResource)`

Method Summary
`PlannerBenchmark` | `buildPlannerBenchmark()`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(InputStream templateIn, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(Reader templateReader, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(String templateResource, Object model)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template)`
`FreemarkerXmlPlannerBenchmarkFactory` | `configure(freemarker.template.Template template, Object model)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()`
`XmlPlannerBenchmarkFactory` | `getXmlPlannerBenchmarkFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreemarkerXmlPlannerBenchmarkFactory

    public FreemarkerXmlPlannerBenchmarkFactory()

### FreemarkerXmlPlannerBenchmarkFactory

    public FreemarkerXmlPlannerBenchmarkFactory(String templateResource)

Method Detail

### getXmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory getXmlPlannerBenchmarkFactory()

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(String templateResource,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(InputStream templateIn,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(Reader templateReader,
                                                          Object model)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template)

### configure

    public FreemarkerXmlPlannerBenchmarkFactory configure(freemarker.template.Template template,
                                                          Object model)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Specified by:
    `getPlannerBenchmarkConfig` in interface `PlannerBenchmarkFactory`

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

  Specified by:
    `buildPlannerBenchmark` in interface `PlannerBenchmarkFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.